curl --request POST \
--url https://api.mixpeek.com/v1/collections/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {},
"sort": {
"field": "created_at",
"direction": "desc"
},
"search": "<string>",
"case_sensitive": false
}
'{
"results": [
{
"collection_name": "<string>",
"feature_extractor": {
"feature_extractor_name": "<string>",
"version": "<string>",
"feature_extractor_id": "<string>",
"params": {},
"parameters": {
"extractor_type": "audio_fingerprint_extractor",
"normalize_embeddings": true,
"sample_rate": 48000,
"segment_duration_sec": 5,
"segment_hop_sec": 2.5
},
"input_mappings": {
"image": "product_image",
"text": "title"
},
"field_passthrough": [
{
"source_path": "<string>",
"target_path": "title",
"default": "Unknown",
"required": false
}
],
"include_all_source_fields": false
},
"source": {
"bucket_ids": [
"bkt_marketing_videos"
],
"source_namespace_id": "<string>",
"collection_id": "col_video_frames",
"collection_ids": [
"col_us_products",
"col_eu_products"
],
"inherited_bucket_ids": [
"bkt_marketing_videos"
],
"source_filters": {
"filters": {
"AND": [
{
"field": "blobs.type",
"operator": "eq",
"value": "video"
}
]
}
}
},
"collection_id": "<string>",
"description": "Video frames extracted at 1 FPS with CLIP embeddings",
"input_schema": {
"properties": {
"title": {
"type": "string"
},
"content": {
"type": "text"
}
}
},
"output_schema": {
"properties": {
"title": {
"type": "string"
},
"text_extractor_v1_embedding": {
"type": "array"
}
}
},
"source_bucket_schemas": null,
"source_lineage": [
{
"source_config": {
"bucket_ids": [
"bkt_marketing_videos"
],
"source_namespace_id": "<string>",
"collection_id": "col_video_frames",
"collection_ids": [
"col_us_products",
"col_eu_products"
],
"inherited_bucket_ids": [
"bkt_marketing_videos"
],
"source_filters": {
"filters": {
"AND": [
{
"field": "blobs.type",
"operator": "eq",
"value": "video"
}
]
}
}
},
"feature_extractor": {
"feature_extractor_name": "<string>",
"version": "<string>",
"feature_extractor_id": "<string>",
"params": {},
"parameters": {
"extractor_type": "audio_fingerprint_extractor",
"normalize_embeddings": true,
"sample_rate": 48000,
"segment_duration_sec": 5,
"segment_hop_sec": 2.5
},
"input_mappings": {
"image": "product_image",
"text": "title"
},
"field_passthrough": [
{
"source_path": "<string>",
"target_path": "title",
"default": "Unknown",
"required": false
}
],
"include_all_source_fields": false
},
"output_schema": {
"properties": {}
}
}
],
"vector_indexes": [
"<unknown>"
],
"payload_indexes": [
"<unknown>"
],
"embedding_task": "<string>",
"enabled": true,
"metadata": {
"environment": "production",
"project": "Q4_campaign",
"team": "data-science"
},
"schedule": {
"trigger_type": "<string>",
"schedule_config": {},
"description": "<string>"
},
"trigger_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"lifecycle_state": "active",
"s3_vector_index": "<string>",
"last_lifecycle_transition": "2023-11-07T05:31:56Z",
"tiering_rules": [
{
"enabled": false,
"threshold_days": 123
}
],
"document_count": 123,
"schema_version": 1,
"last_schema_sync": "2023-11-07T05:31:56Z",
"schema_sync_enabled": true,
"document_schema": null,
"schema_validation": "off",
"taxonomy_applications": null,
"cluster_applications": null,
"alert_applications": null,
"retriever_enrichments": null,
"vector_count": 123,
"taxonomy_count": 123,
"retriever_count": 123
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"next_page": "<string>",
"previous_page": "<string>",
"next_cursor": "<string>"
},
"total_count": 123,
"stats": {
"total_documents": 0,
"avg_documents_per_collection": 0,
"collections_with_taxonomies": 0,
"total_feature_extractors": 0,
"total_taxonomies": 0,
"total_retrievers": 0
}
}List Collections
This endpoint allows you to list collections.
curl --request POST \
--url https://api.mixpeek.com/v1/collections/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {},
"sort": {
"field": "created_at",
"direction": "desc"
},
"search": "<string>",
"case_sensitive": false
}
'{
"results": [
{
"collection_name": "<string>",
"feature_extractor": {
"feature_extractor_name": "<string>",
"version": "<string>",
"feature_extractor_id": "<string>",
"params": {},
"parameters": {
"extractor_type": "audio_fingerprint_extractor",
"normalize_embeddings": true,
"sample_rate": 48000,
"segment_duration_sec": 5,
"segment_hop_sec": 2.5
},
"input_mappings": {
"image": "product_image",
"text": "title"
},
"field_passthrough": [
{
"source_path": "<string>",
"target_path": "title",
"default": "Unknown",
"required": false
}
],
"include_all_source_fields": false
},
"source": {
"bucket_ids": [
"bkt_marketing_videos"
],
"source_namespace_id": "<string>",
"collection_id": "col_video_frames",
"collection_ids": [
"col_us_products",
"col_eu_products"
],
"inherited_bucket_ids": [
"bkt_marketing_videos"
],
"source_filters": {
"filters": {
"AND": [
{
"field": "blobs.type",
"operator": "eq",
"value": "video"
}
]
}
}
},
"collection_id": "<string>",
"description": "Video frames extracted at 1 FPS with CLIP embeddings",
"input_schema": {
"properties": {
"title": {
"type": "string"
},
"content": {
"type": "text"
}
}
},
"output_schema": {
"properties": {
"title": {
"type": "string"
},
"text_extractor_v1_embedding": {
"type": "array"
}
}
},
"source_bucket_schemas": null,
"source_lineage": [
{
"source_config": {
"bucket_ids": [
"bkt_marketing_videos"
],
"source_namespace_id": "<string>",
"collection_id": "col_video_frames",
"collection_ids": [
"col_us_products",
"col_eu_products"
],
"inherited_bucket_ids": [
"bkt_marketing_videos"
],
"source_filters": {
"filters": {
"AND": [
{
"field": "blobs.type",
"operator": "eq",
"value": "video"
}
]
}
}
},
"feature_extractor": {
"feature_extractor_name": "<string>",
"version": "<string>",
"feature_extractor_id": "<string>",
"params": {},
"parameters": {
"extractor_type": "audio_fingerprint_extractor",
"normalize_embeddings": true,
"sample_rate": 48000,
"segment_duration_sec": 5,
"segment_hop_sec": 2.5
},
"input_mappings": {
"image": "product_image",
"text": "title"
},
"field_passthrough": [
{
"source_path": "<string>",
"target_path": "title",
"default": "Unknown",
"required": false
}
],
"include_all_source_fields": false
},
"output_schema": {
"properties": {}
}
}
],
"vector_indexes": [
"<unknown>"
],
"payload_indexes": [
"<unknown>"
],
"embedding_task": "<string>",
"enabled": true,
"metadata": {
"environment": "production",
"project": "Q4_campaign",
"team": "data-science"
},
"schedule": {
"trigger_type": "<string>",
"schedule_config": {},
"description": "<string>"
},
"trigger_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"lifecycle_state": "active",
"s3_vector_index": "<string>",
"last_lifecycle_transition": "2023-11-07T05:31:56Z",
"tiering_rules": [
{
"enabled": false,
"threshold_days": 123
}
],
"document_count": 123,
"schema_version": 1,
"last_schema_sync": "2023-11-07T05:31:56Z",
"schema_sync_enabled": true,
"document_schema": null,
"schema_validation": "off",
"taxonomy_applications": null,
"cluster_applications": null,
"alert_applications": null,
"retriever_enrichments": null,
"vector_count": 123,
"taxonomy_count": 123,
"retriever_count": 123
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"next_page": "<string>",
"previous_page": "<string>",
"next_cursor": "<string>"
},
"total_count": 123,
"stats": {
"total_documents": 0,
"avg_documents_per_collection": 0,
"collections_with_taxonomies": 0,
"total_feature_extractors": 0,
"total_taxonomies": 0,
"total_retrievers": 0
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
1 <= x <= 10001 <= x <= 10000 <= x <= 10000x >= 1Body
Request model for listing collections.
To filter by taxonomy, use dot notation in filters: filters.AND = [{"field": "taxonomy_applications.taxonomy_id", "operator": "eq", "value": "tax_123"}]
Filters to apply when listing collections. Supports nested field filtering like 'taxonomy_applications.taxonomy_id'. Format: {"AND": [{"field": "field_name", "operator": "eq", "value": "value"}]}
Sort options for the results
Show child attributes
Show child attributes
Search term for wildcard search across collection_id, collection_name, description, and other text fields
If True, filters and search will be case-sensitive
Response
Successful Response
Response model for listing collections.
List of collections
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Total number of collections matching the query
Aggregate statistics across all collections in the result
Show child attributes
Show child attributes
Was this page helpful?

